=== modified file 'breezy/git/tests/test_workingtree.py'
--- breezy/git/tests/test_workingtree.py	2018-08-12 03:16:53 +0000
+++ breezy/git/tests/test_workingtree.py	2018-09-30 00:33:53 +0000
@@ -30,6 +30,7 @@
 
 from ... import (
     conflicts as _mod_conflicts,
+    workingtree as _mod_workingtree,
     )
 from ...delta import TreeDelta
 from ..mapping import (
@@ -88,6 +89,20 @@
         self.assertTrue(self.tree.is_ignored('a'))
 
 
+class GitWorkingTreeFileTests(TestCaseWithTransport):
+
+    def setUp(self):
+        super(GitWorkingTreeFileTests, self).setUp()
+        self.tree = self.make_branch_and_tree('actual', format="git")
+        self.build_tree_contents([('linked/',), ('linked/.git', 'gitdir: ../actual/.git')])
+        self.wt = _mod_workingtree.WorkingTree.open('linked')
+
+    def test_add(self):
+        self.build_tree(['linked/somefile'])
+        self.wt.add(["somefile"])
+        self.wt.commit("Add somefile")
+
+
 class TreeDeltaFromGitChangesTests(TestCase):
 
     def test_empty(self):

=== modified file 'breezy/git/workingtree.py'
--- breezy/git/workingtree.py	2018-09-01 19:51:29 +0000
+++ breezy/git/workingtree.py	2018-09-30 00:33:53 +0000
@@ -112,7 +112,7 @@
         self.store = self.repository._git.object_store
         self.mapping = self.repository.get_mapping()
         self._branch = branch
-        self._transport = controldir.transport
+        self._transport = self.repository._git._controltransport
         self._format = GitWorkingTreeFormat()
         self.index = None
         self._index_file = None

